from db import create_app, db
from data import users, companies
from models.account import AccountModel
from models.company import CompanyModel
from models.employee import EmployeeModel
from models.email_template import EmailTemplateModel
from models.campaign import CampaignModel
from models.statistics import StatisticsModel

app = create_app()
app.app_context().push()

# Cleaning database.
meta = db.metadata
for table in reversed(meta.sorted_tables):
    print("add_data> Clearing table %s" % table)
    db.session.execute(table.delete())
db.session.commit()

acc = 0
for i in users:
    user = AccountModel(i[0], i[1], i[2], i[3])
    user.rol = i[4]
    db.session.add(user)
    acc += 1

nco = 0
nem = 0
for i in companies:
    co = CompanyModel(i[0], i[1])
    db.session.add(co)
    for e in i[2]:
        emp = EmployeeModel(e[0], e[1], e[2], e[3])
        db.session.add(emp)
        nem += 1
    nco += 1


print("<add_data> Added {} new users".format(acc))
print("<add_data> Added {} new companies".format(nco))
print("<add_data> Added {} new employees".format(nem))

db.session.commit()
db.session.close()
exit(0)
