"""empty message

Revision ID: 5f94a30b4057
Revises: 
Create Date: 2021-03-11 22:12:59.118000

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '5f94a30b4057'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('account',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('rol', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=30), nullable=False),
    sa.Column('lastname', sa.String(length=30), nullable=False),
    sa.Column('email', sa.String(length=30), nullable=False),
    sa.Column('password', sa.String(), nullable=False),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('id')
    )
    op.create_table('campaign',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('id_user', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=30), nullable=False),
    sa.Column('redirect_url', sa.String(), nullable=False),
    sa.Column('cheat_url', sa.String(), nullable=False),
    sa.Column('finish_date', sa.String(), nullable=False),
    sa.Column('state', sa.Integer(), nullable=False),
    sa.Column('get_data_url', sa.String(), nullable=False),
    sa.ForeignKeyConstraint(['id_user'], ['account.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('id')
    )
    op.create_table('company',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('id_user', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=30), nullable=False),
    sa.ForeignKeyConstraint(['id_user'], ['account.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('id')
    )
    op.create_table('emailtemplate',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('id_user', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=30), nullable=False),
    sa.Column('header', sa.String(), nullable=False),
    sa.Column('html_file', sa.String(), nullable=True),
    sa.ForeignKeyConstraint(['id_user'], ['account.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('employee',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('id_company', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=30), nullable=False),
    sa.Column('lastname', sa.String(length=30), nullable=False),
    sa.Column('email', sa.String(length=30), nullable=False),
    sa.ForeignKeyConstraint(['id_company'], ['company.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('id')
    )
    op.create_table('statistics',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('id_campaign', sa.Integer(), nullable=False),
    sa.Column('num_companies', sa.Integer(), nullable=False),
    sa.Column('num_total_employees', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['id_campaign'], ['campaign.id'], ),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('id')
    )
    op.create_table('tags1',
    sa.Column('campaigns_id', sa.Integer(), nullable=True),
    sa.Column('companies_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['campaigns_id'], ['campaign.id'], ),
    sa.ForeignKeyConstraint(['companies_id'], ['company.id'], )
    )
    op.create_table('tags2',
    sa.Column('campaigns_id', sa.Integer(), nullable=True),
    sa.Column('emailtemplate_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['campaigns_id'], ['campaign.id'], ),
    sa.ForeignKeyConstraint(['emailtemplate_id'], ['emailtemplate.id'], )
    )
    op.create_table('tags3',
    sa.Column('employee_id', sa.Integer(), nullable=True),
    sa.Column('campaign_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['campaign_id'], ['campaign.id'], ),
    sa.ForeignKeyConstraint(['employee_id'], ['employee.id'], )
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('tags3')
    op.drop_table('tags2')
    op.drop_table('tags1')
    op.drop_table('statistics')
    op.drop_table('employee')
    op.drop_table('emailtemplate')
    op.drop_table('company')
    op.drop_table('campaign')
    op.drop_table('account')
    # ### end Alembic commands ###
