from db import db


class EmailTemplateModel(db.Model):
    __tablename__ = 'emailtemplate'

    id = db.Column(db.Integer, nullable=False, primary_key=True)
    id_user = db.Column(db.Integer, db.ForeignKey('account.id'), nullable=False)
    name = db.Column(db.String(30), nullable=False)
    header = db.Column(db.String(), nullable=False)
    html_file = db.Column(db.String())

    def __init__(self, id_user, name, html_file, header):
        self.id_user = id_user
        self.name = name
        self.html = html_file
        self.header = header

    def save_to_db(self):
        db.session.add(self)
        db.session.commit()

    def delete_from_db(self):
        db.session.delete(self)
        db.session.commit()

    def json(self):
        return {"et": {
            'id': self.id,
            'id_user': self.id_user,
            'name': self.name,
            'html_file': self.html_file,
            'header': self.header
        }}

    @classmethod
    def find_by_id(cls, idd):
        return db.session.query(EmailTemplateModel).filter_by(id=idd).first()
