import os.path as path
import smtplib
from flask_restful import Resource
from bs4 import BeautifulSoup
from utils.email_sender import EmailSender
from models.campaign import CampaignModel


class SendPhishingEmail(Resource):

    def post(self, id):

        campaign = CampaignModel.find_by_id(id)
        if not campaign:
            return {"Message": "Campaign with ['id': {}] not found".format(id)}, 404

        html_str = campaign.email_templates[0].html_file
        header = campaign.email_templates[0].header
        id_html_file = campaign.email_templates[0].id

        name_file_html = 'utils/email_templates/template_' + str(id_html_file) + '.html'

        if not path.exists(name_file_html):
            html = open(name_file_html, 'w', encoding="utf-8")
            html.write(html_str)
            html.close()

        html = open(name_file_html, encoding="utf-8")
        file = BeautifulSoup(html, 'lxml')
        exists = file.find(id="cheat_url")
        if exists:
            exists.attrs['href'] = campaign.cheat_url

        file.encode("utf-8")
        html.close()

        for company in campaign.companies:
            for employee in company.employees:
                try:
                    EmailSender.send_phishing_email(employee.email, file, header)
                except (FileNotFoundError, smtplib.SMTPException) as e:
                    print(e)
                    return {'message': 'Something went wrong'}, 500

        return {"message": "E-mails sended correctly"}, 200

