from flask_restful import Resource, reqparse

from models.account import AccountModel


class Login(Resource):

    def post(self):
        parser = reqparse.RequestParser()
        parser.add_argument('email', type=str, required=True, help="This field cannot be left blanck")
        parser.add_argument('password', required=True, type=str, help="This field cannot be left blanck")
        data = parser.parse_args()

        acc = AccountModel.find_by_email(data["email"])
        if acc:
            if acc.verify_password(data["password"]):
                token = acc.generate_auth_token()
                return {'token': token.decode('ascii'), 'rol': acc.rol, 'id': acc.id}, 200
            return {'message': "Password is invalid"}, 400
        return {'message': "Account with email [{}] Not found".format(data["email"])}, 404
