from flask_restful import Resource

from models.campaign import CampaignModel
from models.statistics import StatisticsModel


class Statistics(Resource):

    def get(self, id):
        s = StatisticsModel.find_by_id(id)
        if not s:
            return {"Message": "Statistics with ['id': {}] not found".format(id)}, 404
        return s.json(), 200

    def post(self, id):
        campaign = CampaignModel.find_by_id(id)
        if not campaign:
            return {"Message": "Campaign with ['id': {}] not found".format(id)}, 404

        num_companies = len(campaign.companies)
        num_total_employees = 0
        for companies in campaign.companies:
            for employee in companies.employees:
                num_total_employees += 1

        statistics = StatisticsModel(id, num_companies, num_total_employees)
        statistics.save_to_db()
        return statistics.json(), 200


class DataStatistics(Resource):

    def get(self, id):
        s = StatisticsModel.find_by_id(id)
        if not s:
            return {"Message": "Statistics with ['id': {}] not found".format(id)}, 404
        return s.get_data(s.num_total_employees, id)
