import Vue from 'vue'
import Router from 'vue-router'
import Front from "@/components/Front";
import Access from "@/components/Access";
import Company from "@/components/Company";
import EmailTemplate from "@/components/EmailTemplate";
import Campaign from "@/components/Campaign";
import CompanyStatistics from "@/components/CompanyStatistics";
import CampaignStatistics from "@/components/CampaignStatistics";
import Profile from "@/components/Profile";
import Accounts from "@/components/Accounts";

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      name: 'Front',
      component: Front
    },
    {
      path: '/access',
      name: 'Access',
      component: Access
    },
    {
      path: '/company',
      name: 'Company',
      component: Company
    },
    {
      path: '/companyStatistics/:id',
      name: 'CompanyStatistics',
      component: CompanyStatistics
    },
    {
      path: '/emailtemplate',
      mane: 'EmailTemplate',
      component: EmailTemplate
    },
    {
      path: '/campaign',
      name: 'Campaign',
      component: Campaign
    },
    {
      path: '/campaignStatistics/:id',
      name: 'CampaignStatistics',
      component: CampaignStatistics
    },
    {
      path: '/profile',
      mane: 'Profile',
      component: Profile
    },
    {
      path: '/accounts',
      mane: 'Accounts',
      component: Accounts
    },
    {
      path: '/:pathMatch(.*)*',
      component: Front
    }
  ],
  mode:"history"
})